workflows:
  AdminRegisterStaff:
    middleware:
      permission: 'user:register'
    repository:
      - ProfileRepository
    request:
      name: string|required
      email: string|required
      icno: string|required
      department: 'departments:exists'
      grade: string|required
      work_history:
        'work_history.*.company': string|required
        'work_history.*.location': states|exists
      - WorkHistoryRepository
    view:
      component:
        name: 
          component: BaseInputText
          rule: string|required

        dob: "BaseDatePicker\ntype=\"date\"\n"
        email: BaseInputText
        icno: BaseInputText
        department: BaseSelect
        grade: BaseSelect
        work_history: { BaseNestedForm: { company: 'BaseInputText view', location: 'BaseSelect view' } }
      action:
        save: endpoint
  ApproveKursusDalaman:
    middleware:
      permission: 'course:approval'
    request:
      course_app_id: string|required
      status_id: string|required
      remarks: sdafdsf
    repository:
      - CourseAppRepository
    view:
      show:
        attributes: { course_app_id: hidden, course_name: text, applicant_name: text, status: text }
        action: 'approve, reject'
      update:
        attributes: { course_app_id: Hidden, course_name: BaseSelect, applicant_name: BaseInputText, status: BaseInputText }
        action: 'approve, reject'
